Package com.microblink.blinkid.fragment.overlay.blinkid.legacy.documentverification

# Class LegacyDocumentVerificationOverlayStrings.Builder

java.lang.Object
com.microblink.blinkid.fragment.overlay.OverlayStringsBuilder<LegacyDocumentVerificationOverlayStrings.Builder,com.microblink.blinkid.fragment.overlay.blinkid.legacy.documentverification.LegacyDocumentVerificationOverlayStrings.Builder.Key>
com.microblink.blinkid.fragment.overlay.blinkid.legacy.documentverification.LegacyDocumentVerificationOverlayStrings.Builder

Enclosing class:
  LegacyDocumentVerificationOverlayStrings

public static class LegacyDocumentVerificationOverlayStrings.Builder extends OverlayStringsBuilder<LegacyDocumentVerificationOverlayStrings.Builder,com.microblink.blinkid.fragment.overlay.blinkid.legacy.documentverification.LegacyDocumentVerificationOverlayStrings.Builder.Key>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder(android.content.Context context)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LegacyDocumentVerificationOverlayStrings`
  `build()`
  `protected LegacyDocumentVerificationOverlayStrings.Builder`
  `getThis()`
  `LegacyDocumentVerificationOverlayStrings.Builder`
  `setBackSideInstructions(String text)`
  `LegacyDocumentVerificationOverlayStrings.Builder`
  `setBackSideSplashText(String text)`
  `LegacyDocumentVerificationOverlayStrings.Builder`
  `setDataMismatchMessage(String message)`
  `LegacyDocumentVerificationOverlayStrings.Builder`
  `setDataMismatchTitle(String message)`
  `LegacyDocumentVerificationOverlayStrings.Builder`
  `setFrontSideInstructions(String text)`
  `LegacyDocumentVerificationOverlayStrings.Builder`
  `setFrontSideSplashText(String text)`
  `LegacyDocumentVerificationOverlayStrings.Builder`
  `setGlareMessage(String text)`
  `LegacyDocumentVerificationOverlayStrings.Builder`
  `setRecognitionTimeoutMessage(String text)`
  `LegacyDocumentVerificationOverlayStrings.Builder`
  `setRecognitionTimeoutTitle(String text)`
  `LegacyDocumentVerificationOverlayStrings.Builder`
  `setRetryButtonText(String buttonText)`
  `LegacyDocumentVerificationOverlayStrings.Builder`
  `setSidesNotMatchingMessage(String message)`
  `LegacyDocumentVerificationOverlayStrings.Builder`
  `setSidesNotMatchingTitle(String title)`
  `LegacyDocumentVerificationOverlayStrings.Builder`
  `setUnsupportedDocumentMessage(String text)`
  `LegacyDocumentVerificationOverlayStrings.Builder`
  `setUnsupportedDocumentTitle(String text)`

  ### Methods inherited from class com.microblink.blinkid.fragment.overlay.OverlayStringsBuilder

  `get, get, put`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder(@NonNull android.content.Context context)

- ## Method Details

  - ### setFrontSideInstructions

    @NonNull public LegacyDocumentVerificationOverlayStrings.Builder setFrontSideInstructions(@Nullable String text)

  - ### setBackSideInstructions

    @NonNull public LegacyDocumentVerificationOverlayStrings.Builder setBackSideInstructions(@Nullable String text)

  - ### setFrontSideSplashText

    @NonNull public LegacyDocumentVerificationOverlayStrings.Builder setFrontSideSplashText(@Nullable String text)

  - ### setBackSideSplashText

    @NonNull public LegacyDocumentVerificationOverlayStrings.Builder setBackSideSplashText(@Nullable String text)

  - ### setSidesNotMatchingTitle

    @NonNull public LegacyDocumentVerificationOverlayStrings.Builder setSidesNotMatchingTitle(@Nullable String title)

  - ### setSidesNotMatchingMessage

    @NonNull public LegacyDocumentVerificationOverlayStrings.Builder setSidesNotMatchingMessage(@Nullable String message)

  - ### setDataMismatchTitle

    @NonNull public LegacyDocumentVerificationOverlayStrings.Builder setDataMismatchTitle(@Nullable String message)

  - ### setDataMismatchMessage

    @NonNull public LegacyDocumentVerificationOverlayStrings.Builder setDataMismatchMessage(@Nullable String message)

  - ### setRetryButtonText

    @NonNull public LegacyDocumentVerificationOverlayStrings.Builder setRetryButtonText(@Nullable String buttonText)

  - ### setUnsupportedDocumentTitle

    @NonNull public LegacyDocumentVerificationOverlayStrings.Builder setUnsupportedDocumentTitle(@Nullable String text)

  - ### setUnsupportedDocumentMessage

    @NonNull public LegacyDocumentVerificationOverlayStrings.Builder setUnsupportedDocumentMessage(@Nullable String text)

  - ### setRecognitionTimeoutTitle

    @NonNull public LegacyDocumentVerificationOverlayStrings.Builder setRecognitionTimeoutTitle(@Nullable String text)

  - ### setRecognitionTimeoutMessage

    @NonNull public LegacyDocumentVerificationOverlayStrings.Builder setRecognitionTimeoutMessage(@Nullable String text)

  - ### setGlareMessage

    @NonNull public LegacyDocumentVerificationOverlayStrings.Builder setGlareMessage(@Nullable String text)

  - ### getThis

    @NonNull protected LegacyDocumentVerificationOverlayStrings.Builder getThis()
    Specified by:
      `getThis` in class `OverlayStringsBuilder<LegacyDocumentVerificationOverlayStrings.Builder,com.microblink.blinkid.fragment.overlay.blinkid.legacy.documentverification.LegacyDocumentVerificationOverlayStrings.Builder.Key>`

  - ### build

    @NonNull public LegacyDocumentVerificationOverlayStrings build()